Debian Bug report logs - #507368
[qcad] Can't type text with çãõâôáéíóúàü

version graph

Package: qcad; Maintainer for qcad is Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>; Source for qcad is src:qcad.

Reported by: ASD Consultoria <asd.consultoria.ltda@gmail.com>

Date: Sun, 30 Nov 2008 15:36:13 UTC

Severity: normal

Tags: confirmed, upstream

Found in versions qcad/2.0.5.0-1-4, qcad/2.0.5.0-1-5

Fixed in version qcad/2.0.5.0-1+090318-5

Done: Scott Howard <showard314@gmail.com>

Bug is archived. No further changes may be made.

Forwarded to http://www.ribbonsoft.com/rsforum/viewtopic.php?t=853

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ruben Molina <rmolina@udea.edu.co>:
Bug#507368; Package qcad. (Sun, 30 Nov 2008 15:36:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to ASD Consultoria <asd.consultoria.ltda@gmail.com>:
New Bug report received and forwarded. Copy sent to Ruben Molina <rmolina@udea.edu.co>. (Sun, 30 Nov 2008 15:36:16 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: ASD Consultoria <asd.consultoria.ltda@gmail.com>
To: submit@bugs.debian.org
Subject: [qcad] Can't type text with çãõâôáéíóúàü
Date: Sun, 30 Nov 2008 13:35:34 -0200
[Message part 1 (text/plain, inline)]
Package: qcad
Version: 2.0.5.0-1-4
Severity: normal

--- Please enter the report below this line. ---

Can't type text with this ç,ã,õ,â,ô,á,é,í,ó,ú,à or ü.

I typed this using Normal Latin 2 but don't work. See it in [1].

I did a workaround by typing in a text editor, coping and pasting to
qcad text window. But two letters persist not working: "ã" and "õ". See
it in figure [2].

[1] text_bug.png
[2] work_around.png


--- System information. ---
Architecture: amd64
Kernel:       Linux 2.6.26-1-amd64

Debian Release: lenny/sid
  500 unstable        www.debian-multimedia.org 
  500 unstable        sft.if.usp.br 
  500 unstable        http.us.debian.org 

--- Package information. ---
Depends                (Version) | Installed
================================-+-==============
libc6                 (>= 2.7-1) | 2.7-16
libfontconfig1        (>= 2.4.0) | 2.6.0-3
libgcc1             (>= 1:4.1.1) | 1:4.3.2-1
libice6             (>= 1:1.0.0) | 2:1.0.4-1
libjpeg62                        | 6b-14
libpng12-0         (>= 1.2.13-4) | 1.2.27-2
libqt3-mt          (>= 3:3.3.8b) | 3:3.3.8b-5
libsm6                           | 2:1.0.3-2
libstdc++6            (>= 4.2.1) | 4.3.2-1
libx11-6                         | 2:1.1.5-2
libxext6                         | 2:1.0.4-1
zlib1g              (>= 1:1.1.4) | 1:1.2.3.3.dfsg-12





-- 
ASD Consultoria, Rio, RJ
Arq. Sávio M Ramos
Só usamos Linux desde 2000
www.debian.org
[text_bug.png (image/png, attachment)]
[work_around.png (image/png, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#507368; Package qcad. (Wed, 03 Dec 2008 12:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ruben Molina <rmolina@udea.edu.co>:
Extra info received and forwarded to list. (Wed, 03 Dec 2008 12:21:09 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Ruben Molina <rmolina@udea.edu.co>
To: ASD Consultoria <asd.consultoria.ltda@gmail.com>, 507368@bugs.debian.org
Cc: submit@bugs.debian.org
Subject: Re: Bug#507368: [qcad] Can't type text with çãõâôáéíóúàü
Date: Wed, 03 Dec 2008 07:19:56 -0500
[Message part 1 (text/plain, inline)]
> Can't type text with this ç,ã,õ,â,ô,á,é,í,ó,ú,à or ü.

Hi Sávio!
Thanks for your report. I was able to reproduce it and will check it the
next weekend...

Regards,
 Ruben
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#507368; Package qcad. (Wed, 03 Dec 2008 12:21:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ruben Molina <rmolina@udea.edu.co>:
Extra info received and forwarded to list. (Wed, 03 Dec 2008 12:21:10 GMT) Full text and rfc822 format available.

Bug marked as found in version 2.0.5.0-1-5. Request was from Ruben Molina <rmolina@udea.edu.co> to control@bugs.debian.org. (Wed, 01 Jul 2009 22:09:06 GMT) Full text and rfc822 format available.

Tags added: confirmed, upstream Request was from Ruben Molina <rmolina@udea.edu.co> to control@bugs.debian.org. (Wed, 01 Jul 2009 22:09:07 GMT) Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to http://www.ribbonsoft.com/forum/viewtopic.php?t=853. Request was from Ruben Molina <rmolina@udea.edu.co> to control@bugs.debian.org. (Wed, 01 Jul 2009 22:09:08 GMT) Full text and rfc822 format available.

Changed Bug forwarded-to-address to 'http://www.ribbonsoft.com/rsforum/viewtopic.php?t=853' from 'http://www.ribbonsoft.com/forum/viewtopic.php?t=853' Request was from Kalle Olavi Niemitalo <kon@iki.fi> to control@bugs.debian.org. (Sat, 06 Mar 2010 10:09:06 GMT) Full text and rfc822 format available.

Reply sent to Peter Marschall <peter@adpm.de>:
You have taken responsibility. (Wed, 14 Apr 2010 18:33:09 GMT) Full text and rfc822 format available.

Notification sent to ASD Consultoria <asd.consultoria.ltda@gmail.com>:
Bug acknowledged by developer. (Wed, 14 Apr 2010 18:33:09 GMT) Full text and rfc822 format available.

Message #28 received at 507368-done@bugs.debian.org (full text, mbox):

From: Peter Marschall <peter@adpm.de>
To: 507368-done@bugs.debian.org
Subject: not a bug: blessed by C standard
Date: Wed, 14 Apr 2010 20:06:40 +0200
Hi,

according to the C standard, uninitialized static variables of scalar type are 
automatically initialized to 0.

References: 
- C99 standard "The C standard" ,section 6.7.8 "Initialization"
- K&R "The C programming language" 2nd ed., section 8.7 "Initialization"

Closing the bug report, as it is no bug.
-- 
Peter Marschall
peter@adpm.de




Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 Apr 2010 15:48:12 GMT) Full text and rfc822 format available.

Reply sent to Scott Howard <showard314@gmail.com>:
You have taken responsibility. (Mon, 19 Jul 2010 14:54:06 GMT) Full text and rfc822 format available.

Notification sent to ASD Consultoria <asd.consultoria.ltda@gmail.com>:
Bug acknowledged by developer. (Mon, 19 Jul 2010 14:54:06 GMT) Full text and rfc822 format available.

Message #35 received at 507368-close@bugs.debian.org (full text, mbox):

From: Scott Howard <showard314@gmail.com>
To: 507368-close@bugs.debian.org
Subject: Bug#507368: fixed in qcad 2.0.5.0-1+090318-5
Date: Mon, 19 Jul 2010 14:51:38 +0000
Source: qcad
Source-Version: 2.0.5.0-1+090318-5

We believe that the bug you reported is fixed in the latest version of
qcad, which is due to be installed in the Debian FTP archive:

qcad-data_2.0.5.0-1+090318-5_all.deb
  to main/q/qcad/qcad-data_2.0.5.0-1+090318-5_all.deb
qcad-doc_2.0.5.0-1+090318-5_all.deb
  to main/q/qcad/qcad-doc_2.0.5.0-1+090318-5_all.deb
qcad_2.0.5.0-1+090318-5.debian.tar.gz
  to main/q/qcad/qcad_2.0.5.0-1+090318-5.debian.tar.gz
qcad_2.0.5.0-1+090318-5.dsc
  to main/q/qcad/qcad_2.0.5.0-1+090318-5.dsc
qcad_2.0.5.0-1+090318-5_amd64.deb
  to main/q/qcad/qcad_2.0.5.0-1+090318-5_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 507368@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Scott Howard <showard314@gmail.com> (supplier of updated qcad package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 19 Jul 2010 09:26:33 -0400
Source: qcad
Binary: qcad qcad-data qcad-doc
Architecture: source amd64 all
Version: 2.0.5.0-1+090318-5
Distribution: unstable
Urgency: low
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: Scott Howard <showard314@gmail.com>
Description: 
 qcad       - professional CAD system
 qcad-data  - professional CAD system -- shared files
 qcad-doc   - professional CAD system -- documentation
Closes: 507368
Changes: 
 qcad (2.0.5.0-1+090318-5) unstable; urgency=low
 .
   * Added auto-generated configure files to dh_clean override.
   * Fixed bug to show latin characters ç,ã,õ,â,ô,á,é,í,ó,ú,à and ü.
     (Closes: #507368)
Checksums-Sha1: 
 3edac4979537fdc0bd3a8d311b62dcac7cad932c 1460 qcad_2.0.5.0-1+090318-5.dsc
 48752b209e8f3d17b8ca8265742d090e50712355 18647 qcad_2.0.5.0-1+090318-5.debian.tar.gz
 a904119be4172a4d8c52388b13cadfefbaaab89c 1320816 qcad_2.0.5.0-1+090318-5_amd64.deb
 517029e184a87fb3de4b8a7693a731adf65f7ef8 1741960 qcad-data_2.0.5.0-1+090318-5_all.deb
 0c71dccecc795eeedd854837d09a9f62fb6e95c6 1660690 qcad-doc_2.0.5.0-1+090318-5_all.deb
Checksums-Sha256: 
 4406a98e5f412580e3fef9bf3e231505d7b398232bf80df613b824b1ee25e38b 1460 qcad_2.0.5.0-1+090318-5.dsc
 793bc8787a47e08abe2733df2437d0a85fecdfaeb53db1d2c1f35d4b1de7e2b0 18647 qcad_2.0.5.0-1+090318-5.debian.tar.gz
 148717d5fc2dbd22d7db48637537cf7e4a579ccbf56aa71d50620cf14a0943db 1320816 qcad_2.0.5.0-1+090318-5_amd64.deb
 fc353d0548e86d33f9aa758301cfcd66b72158e7a91175cbd4e199250599a195 1741960 qcad-data_2.0.5.0-1+090318-5_all.deb
 545f9180e282ea6c80827ddfddb2571ba783ba6353f6fd24c20e1cf42478e250 1660690 qcad-doc_2.0.5.0-1+090318-5_all.deb
Files: 
 5e565c8b353721c24752c26a1d2ebd7c 1460 graphics optional qcad_2.0.5.0-1+090318-5.dsc
 95feb91f12dfe46409196d0e904003b1 18647 graphics optional qcad_2.0.5.0-1+090318-5.debian.tar.gz
 91631906e41558bc9cdb2b8b71de80ee 1320816 graphics optional qcad_2.0.5.0-1+090318-5_amd64.deb
 bc72936efb8259d3f9a8cc4ea96a5f84 1741960 doc optional qcad-data_2.0.5.0-1+090318-5_all.deb
 c025a94879ce3a3277946563ecd205ff 1660690 doc optional qcad-doc_2.0.5.0-1+090318-5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkxEWAcACgkQuqVp0MvxKmpATACgqJKTiNt7Pr3xm54pcBMe2SE5
rlUAnA9X8I+WlFgzXlDm4QBUg3w1AGoE
=qXhi
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#507368; Package qcad. (Wed, 21 Jul 2010 17:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to ASD Consultoria <asd.consultoria.ltda@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Wed, 21 Jul 2010 17:18:03 GMT) Full text and rfc822 format available.

Message #40 received at 507368@bugs.debian.org (full text, mbox):

From: ASD Consultoria <asd.consultoria.ltda@gmail.com>
To: 507368@bugs.debian.org
Subject: Re: Bug#507368 closed by Scott Howard <showard314@gmail.com> (Bug#507368: fixed in qcad 2.0.5.0-1+090318-5)
Date: Wed, 21 Jul 2010 14:15:24 -0300
[Message part 1 (text/plain, inline)]
Em Mon, 19 Jul 2010 14:54:06 +0000
owner@bugs.debian.org (Debian Bug Tracking System) escreveu:

> We believe that the bug you reported is fixed in the latest version of
> qcad, which is due to be installed in the Debian FTP archive:

The problem was partially solved. If i type ãáâéíóôõ, etc appears a
little rectangle. See typing_çççççç.png attached file.

If I click on the symbol that I want, works. (image clicking_ãããããã.png)

-- 
ASD Consultoria, Rio, RJ
Arq. Sávio M Ramos
Só usamos Linux desde 2000
www.debian.org
[typing_çççççç.png (image/png, attachment)]
[clicking_ãããããã.png (image/png, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 19 Aug 2010 07:36:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 11:09:18 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.